> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/payment-cards/update-payment-card-pin/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Update Payment Card Pin PUT https://api.upwardli.com/v2/payment-cards/{payment_card_id}/pin Content-Type: application/json complete a PIN change Reference: https://developers.upwardli.com/api-access/api-reference/payment-cards/update-payment-card-pin ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `payment_card_id` (string, required) ### Body (application/json) This endpoint expects an any. - `any` ## Response ### 200 - `data` (string, optional) ## Examples **Response** ```json { "data": "string" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/payment-cards/payment_card_id/pin" headers = {"Authorization": "Bearer "} response = requests.put(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/payment-cards/payment_card_id/pin'; const options = {method: 'PUT', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/payment-cards/payment_card_id/pin" req, _ := http.NewRequest("PUT", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/payment-cards/payment_card_id/pin") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.upwardli.com/v2/payment-cards/payment_card_id/pin") .header("Authorization", "Bearer ") .asString(); ``` ```php request('PUT', 'https://api.upwardli.com/v2/payment-cards/payment_card_id/pin', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/payment-cards/payment_card_id/pin"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/payment-cards/payment_card_id/pin")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```